﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Input;

namespace PinnableListBoxSample
{
    public class Model
    {
       
        public Model()
        {
            RelatedItems = new ObservableCollection<Model1>();
            
        }
        public string Name { get; set; }
        public bool isselected { get; set; }
        public ObservableCollection<Model1> RelatedItems { get; set; }
      

        public ICommand RemoveItemCommand
        {
            get { return new DelegateCommand<List<object>>(RemoveItem); }
        }

        private void RemoveItem(List<object> context)
        {
           (context[0] as ViewModel).Items.Remove(context[1] as Model);
        }

      
    }
    public class Model1
    {
        public string Name { get; set; }
        public bool isselected { get; set; }
        public ICommand RemoveItemCommand1
        {
            get { return new DelegateCommand<List<object>>(RemoveItem1); }
        }

        private void RemoveItem1(List<object> context)
        {
           for(int i=0;i<(context[0] as ViewModel).Items.Count;i++)
           {
                (((context[0] as ViewModel).Items[i]) as Model).RelatedItems.Remove(context[1] as Model1);
           }
            
          
         
        }

       
    }
   
    public class Converter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            return values.ToList();
        }
        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
