﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace PinnableListBoxSample
{
    public class ViewModel
    {
        public ViewModel()
        {
            Items = new ObservableCollection<Model>();
            PopulateData();
        }
        public ObservableCollection<Model> Items { get; set; }
        private void PopulateData()
        {
            Model root1 = new Model() { Name = "Send/Receive",isselected=false };
            Model1 subItem1 = new Model1 { Name = "Download" };
           
            root1.RelatedItems.Add(subItem1);
            Model1 subItem2 = new Model1 { Name = "Preferences",isselected=true };
           
            root1.RelatedItems.Add(subItem2);
            Model root2 = new Model() { Name = "View" ,isselected=true};
            Model1 subItem3 = new Model1 { Name = "Window",isselected=true};
            
            root2.RelatedItems.Add(subItem3);
            Items.Add(root1);
            Items.Add(root2);
        }
       

        
        
    }
}
